/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.robokind.api.interpolation.cspline;

import org.robokind.api.interpolation.Interpolator;
import org.robokind.api.interpolation.InterpolatorFactory;
import org.robokind.api.common.config.VersionProperty;

/**
 * Factory for creating CSplineInterpolators.
 * 
 * @author Matthew Stevenson <www.robokind.org>
 */
public class CSplineInterpolatorFactory extends InterpolatorFactory {
    static {
        register(new CSplineInterpolatorFactory());
    }

    @Override
    public Interpolator create() {
        return new CSplineInterpolator();
    }
    
    @Override
    public VersionProperty getVersion() {
        return CSplineInterpolator.VERSION;
    }
}