/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.robokind.api.common.position;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Matthew Stevenson <www.robokind.org>
 */
public class NormalizedRangeTest {
    
    public NormalizedRangeTest() {
    }
    /**
     * Test of constructor of class NormalizedDouble.
     */
    @Test
    public void testNewNormalizedRange() {
        System.out.println("new NormalizedRange");
        construct(0.0);
        construct(1.0);
        construct(0.5);
        construct(0.268799809863454);
    }
    
    private NormalizedDouble construct(double value){
        NormalizedDouble instance = new NormalizedDouble(value);
        assertEquals(value, instance.getValue(), 0);
        return instance;
    }
    /**
     * Test of constructor throwing IllegalArgumentException in class 
     * NormalizedDouble.
     */
    @Test
    public void testNewNormalizedRangeIllegalArgument() {
        System.out.println("new NormalizedRange Exception");
        constructFail(-0.01);
        constructFail(-43.3401);
        constructFail(1.01);
        constructFail(240.8776);
    }
    
    private void constructFail(double value){
        try{
            NormalizedDouble nr = new NormalizedDouble(value);
            fail("IllegalArgumentException Expected.");
        }catch(IllegalArgumentException expected){
            assertNotNull(expected);
        }
    }

    /**
     * Test of setValue method, of class NormalizedDouble.
    @Test
    public void testSetValue() {
        System.out.println("setValue");
        NormalizedDouble instance = construct(0.0);
        instance.setValue(0.5);
        assertEquals(0.5, instance.getValue(), 0.0);
        instance.setValue(0.0);
        assertEquals(0.0, instance.getValue(), 0.0);
        instance.setValue(1.0);
        assertEquals(1.0, instance.getValue(), 0.0);
        instance.setValue(0.8076803945109650183475645587451345);
        assertEquals(0.8076803945, instance.getValue(), 0.0000000001);
    }
     */

    /**
     * Test of setValue method throws Exception, of class NormalizedDouble.
    @Test
    public void testSetValueIllegalArgument() {
        System.out.println("setValue Exception");
        NormalizedDouble instance = construct(0.0);
        setFail(instance, -0.00001);
        setFail(instance, -451.576532);
        setFail(instance, 1.00001);
        setFail(instance, 670.43589796);
    }
    
    private void setFail(NormalizedDouble instance, double value){
        try{
            instance.setValue(value);
            fail("IllegalArgumentException Expected.");
        }catch(IllegalArgumentException expected){
            assertNotNull(expected);
        }
    }
     */
}
