/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.robokind.api.common.utils;

import java.util.ArrayList;
import java.util.List;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Matthew Stevenson <www.robokind.org>
 */
public class ListUtilsTest {
    
    public ListUtilsTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    /**
     * Test of findConsecutiveSequences method, of class ListUtils.
     */
    @Test
    public void testFindConsecutiveSequences() {
        System.out.println("findConsecutiveSequences");
        Integer[] vals = new Integer[]{1,2,3,7,6,9,12,8};
        Integer[] arr1 = new Integer[]{1,2,3};
        Integer[] arr2 = new Integer[]{6,7,8,9};
        Integer[] arr3 = new Integer[]{12};
        List expResult = new ArrayList();
        expResult.add(arr1);
        expResult.add(arr2);
        expResult.add(arr3);
        List<Integer[]> result = ListUtils.findConsecutiveSequences(vals);
        assertEquals(3, result.size());
        assertArrayEquals(arr1, result.get(0));
        assertArrayEquals(arr2, result.get(1));
    }
    
    private boolean checkArr(Integer[] a, Integer[] b){
        if(a.length != b.length){
            return false;
        }
        for(int i=0; i<a.length; i++){
            if(a[i] != b[i]){
                return false;
            }
        }
        return true;
    }

}
